Bug 55553 - Unable to load acenic driver on IBM xSeries 330 with 2.4.9-7 kernel
Summary: Unable to load acenic driver on IBM xSeries 330 with 2.4.9-7 kernel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-01 21:31 UTC by Wendy Hung
Modified: 2007-04-18 16:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-01 21:38:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wendy Hung 2001-11-01 21:31:22 UTC
Description of Problem:
Alteon Gigabit Card (PN:19K4401) in either of the 2 PCI slots.        
Alteon driver (acenic.o) will not load the Gigabit Card with the errata 
kernel (2.4.9-7) on xSeries 330(8674-11X) 

2.4.7-10 successfully loads the acenic driver.
2.4.9-7 unable to successfully load the acenic driver.

Both 2.4.7-10 and 2.4.9-7 on the xSeries 342 (8669-4RZ) loads driver OK.

Same results even after disabling the onboard ethernet on the emerald.


Actual Results with 2.4.9-7enterprise or 2.4.9-7 kernel:
eth0: Alteon AceNIC Gigabit Ethernet at 0xefff8000, irq 18
  Tigon II (Rev. 6), Firmware: 12.4.11, MAC: 00:60:cf:20:6c:09
  PCI bus width: 64 bits, speed: 33MHz, latency: 96 clks
  Disabling PCI memory write and invalidate
eth0: Firmware NOT running!

[emerald@rh72 net]# insmod acenic.o
acenic.o: init_module: No such device
Hint: insmod errors can be caused by incorrect module parameters, 
including invalid IO or IRQ parameters


Expected Results (as seen with 2.4.7-10 kernel):
acenic.c: v0.81 04/20/2001  Jes Sorensen, linux-acenic@SunSITE.dk
                            http://home.cern.ch/~jes/gige/acenic.html
eth2: Alteon AceNIC Gigabit Ethernet at 0xefff8000, irq 18
  Tigon II (Rev. 6), Firmware: 12.4.11, MAC: 00:60:cf:20:6c:09
  PCI bus width: 64 bits, speed: 33MHz, latency: 96 clks
  Disabling PCI memory write and invalidate
eth2: Firmware up and running
eth2: Optical link UP (Full Duplex, Flow Control: TX RX)
[root@localhost net]# lsmod
Module                  Size  Used by
acenic                235840   1
iscsi                  23200   0  (unused)
autofs                 12096   0  (autoclean) (unused)
eepro100               18144   1
appletalk              24944   0  (autoclean)
ipx                    20128   0  (autoclean)
nls_iso8859-1           2832   1  (autoclean)
nls_cp437               4352   1  (autoclean)
vfat                    9680   1  (autoclean)
fat                    33408   0  (autoclean) [vfat]
ext3                   67760   5  (autoclean)
jbd                    44512   5  (autoclean) [ext3]
usb-ohci               19344   0  (unused)
usbcore                54528   1  [usb-ohci]
aic7xxx               114704   8
sd_mod                 11584   8
scsi_mod               98512   3  [iscsi aic7xxx sd_mod]

Comment 1 Bill Nottingham 2001-11-02 06:09:03 UTC
Fixed in 2.4.9-7.5 or later.

Comment 2 Wendy Hung 2001-11-30 19:13:23 UTC
Was the fix in the acenic module or does the fix require a kernel upgrade?
Is it possible to stay at the 2.4.9-7 kernel and install the fix?

Comment 3 Arjan van de Ven 2001-12-01 17:05:05 UTC
The fix was local to the acenic driver and techincally doesn't really require
the upgrade to 2.4.9-13 (and we have a fixed module available). However using
2.4.9-13 is recommended due to the known remote exploit.in older kernels :(

Comment 4 Wendy Hung 2001-12-04 15:04:25 UTC
Where can I obtain the fixed acenic module?

Comment 5 Arjan van de Ven 2001-12-04 15:08:14 UTC
If IBM can live with serious VFS and remotely exploitable bugs, get the driver from
http://people.redhat.com/arjanv/rhl72/acenic/

however Red Hat *really* recommends against using 2.4.9-7.

Comment 6 Wendy Hung 2001-12-04 15:35:26 UTC
Thanks. The fixed acenic module will be used by the IBM preload team, but 
customers will be advised to upgrade the kernel to 2.4.9-13.

Comment 7 Wendy Hung 2002-01-16 16:26:36 UTC
Despite the known bugs, where can I obtain the fixed acenic module for the 
2.4.9-7 kernel?

Comment 8 Arjan van de Ven 2002-01-16 16:28:54 UTC
ask your TAO contact in Red Hat


Note You need to log in before you can comment on or make changes to this bug.